<!DOCTYPE HTML>
<html>
<head>
    <title>Socket-Test</title>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/3.1.0/socket.io.js"></script>
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function() {

            namespace = '/test';
            var socket = io(namespace);

            socket.on('connect', function() {
                socket.emit('my_event', {data: 'connected to the SocketServer...'});
            });

            socket.on('my_response', function(msg, cb) {
                $('#log').append('<br>' + $('<div/>').text('logs #' + msg.count + ': ' + msg.data).html());
                if (cb)
                    cb();
            });
            $('form#emit-next').submit(function(event) {
                socket.emit('my_broadcast_event', {data: $('#emit_next').val()});
                return false;
            });
            $('form#emit-prev').submit(function(event) {
                socket.emit('my_broadcast_event', {data: $('#emit_prev').val()});
                return false;
            });

            $('form#disconnect').submit(function(event) {
                socket.emit('disconnect_request');
                return false;
            });
        });
    </script>
</head>
<body style="background-color:white;">

    <h1 style="background-color:white;">Socket</h1>
    <form id="emit-next" method="POST" action='#'>
        <input type="hidden" name="emit_next" id="emit_next" value="next">
        <input type="submit" value="Next">
    </form>

    <form id="emit-prev" method="POST" action='#'>
        <input type="hidden" name="emit_prev" id="emit_prev" value="prev">
        <input type="submit" value="Prev">
    </form>

    <h2 style="background-color:white;">Logs</h2>
    <div id="log" ></div>
</body>
</html>
